org.deidentifier.arx.gui.view.impl.risk

## Class ViewRisksAttackerModels

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.risk.ViewRisks<AnalysisContextRisk>
  - - org.deidentifier.arx.gui.view.impl.risk.ViewRisksAttackerModels

All Implemented Interfaces:
  IView

    public class ViewRisksAttackerModels
    extends ViewRisks<AnalysisContextRisk>

This view displays risk estimates according to different attacker models

Author:
  Fabian Prasser

### Field Summary

### Fields inherited from class org.deidentifier.arx.gui.view.impl.risk.ViewRisks

`MINIMAL_WORKING_TIME`

### Constructor Summary

Constructors
Constructor and Description
`ViewRisksAttackerModels(org.eclipse.swt.widgets.Composite parent, Controller controller, ModelEvent.ModelPart target, ModelEvent.ModelPart reset)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `update(ModelEvent event)` Updates the view.

### Methods inherited from class org.deidentifier.arx.gui.view.impl.risk.ViewRisks

`dispose, isEnabled, reset, setEnabled, triggerStop, triggerUpdate`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ViewRisksAttackerModels

    public ViewRisksAttackerModels(org.eclipse.swt.widgets.Composite parent,
                                   Controller controller,
                                   ModelEvent.ModelPart target,
                                   ModelEvent.ModelPart reset)

Creates a new instance.

Parameters:
  `parent` -
  `controller` -
  `target` -
  `reset` -

### Method Detail

#### update

    public void update(ModelEvent event)

Description copied from interface: `IView`
Updates the view.

Specified by:
  `update` in interface `IView`
Overrides:
  `update` in class `ViewRisks<AnalysisContextRisk>`